<?php
/* ======================================================
 # Login as User for Joomla! - v3.5.9 (pro version)
 # -------------------------------------------------------
 # For Joomla! CMS (v3.x)
 # Author: Web357 (Yiannis Christodoulou)
 # Copyright (©) 2014-2022 Web357. All rights reserved.
 # License: GNU/GPLv3, http://www.gnu.org/licenses/gpl-3.0.html
 # Website: https:/www.web357.com
 # Demo: https://demo.web357.com/joomla/login-as-user
 # Support: support@web357.com
 # Last modified: Wednesday 07 December 2022, 11:05:26 AM
 ========================================================= */
defined('_JEXEC') or die;

jimport('joomla.form.formfield');

class JFormFieldloginasuserinaction extends JFormField {
	
	protected $type = 'loginasuserinaction';

	protected function getInput()
	{
		return ' ';
	}
	
	protected function getLabel()
	{
		$more_description = '<p><a href="index.php?option=com_loginasuser&view=loginasuser&plg=loginasuser" class="btn btn-default btn-warning"><strong>To Login as User, visit Component\'s page and click on <em>Login as Username</em> &raquo;</strong></a></p>';
		return $more_description;		
	}
}